.root {
  display: flex;
  flex-direction: column;
  width: 186px;
  height: 242px;
  position: relative;
  cursor: pointer;
  transition: scale 0.3s ease-in-out;

  &-Full {
    width: 236px;
    height: 360px;
  }

  &:hover {
    scale: 1.01;
  }
}

.photo {
  width: 100%;
  height: 126px;

  &-Full {
    width: 100%;
    height: 187px;
  }

  margin-bottom: 16px;
  box-sizing: border-box;
  display: flex;
  justify-content: center;

  img {
    max-width: 100%;
    height: 100%;
  }
}

.quantity {
  font-size: 12px;
  color: var(--text-secondary);
  padding-bottom: 2px;
}

.description {
  font: var(--font-p1);
  margin-bottom: 16px;
  height: 40px;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.favoritesIcon {
  position: absolute;
  width: 24px;
  height: 24px;
  right: 0;
  top: 0;
  cursor: pointer;

  path {
    transition: all 0.1s ease-in-out;
  }

  path:first-child {
    fill: var(--bg-outline);
  }

  path:last-child {
    fill: var(--white);
  }

  &:hover {
    path {
      fill: var(--accent);
    }
  }

  &-active {
    path:last-child,
    path:first-child {
      fill: var(--accent);
    }
  }
}

.trashIcon {
  position: absolute;
  width: 24px;
  height: 24px;
  right: 0;
  top: 0;
  cursor: pointer;
}

.labelWrap {
  position: absolute;
  top: 0;
  left: 0;
}
